Открыть меню
Переключить меню настроек
Открыть персональное меню
Вы не представились системе
Ваш IP-адрес будет виден всем, если вы внесёте какие-либо изменения.

MediaWiki:Common.css: различия между версиями

Страница интерфейса MediaWiki
Нет описания правки
Нет описания правки
Строка 313: Строка 313:
/* Панель для гайдов */
/* Панель для гайдов */


.guide-panel {
.guide {
  border: 1px solid rgba(0, 0, 0, 0.2);
  border-radius: 10px;
  backdrop-filter: blur(5px);
}
 
.guide-panel .header {
  display: flex;
  justify-content: space-between;
  flex-direction: row;
  align-items: flex-start;
}
 
.guide-panel .items-row {
  display: flex;
  justify-content: space-around;
  flex-direction: row;
  flex-wrap: wrap;
  gap: 5px;
  margin: 5px;
}
 
.guide-panel .item {
  flex: 0 1 calc(33.333% - 10px);
  box-sizing: border-box;
  padding: 5px;
  border-radius: 10px;
  border: 1px solid rgba(0, 0, 0, 0.2);
  display: flex;
  justify-content: space-between;
  display: flex;
  align-items: center;
}
 
.guide-panel .item:hover {
  cursor: pointer;
  border-color: rgba(150, 203, 212, 0.5) !important;
}
 
.guide-panel .title {
  padding: 2px;
  padding-left: 5px;
  padding-inline: 30px;
  border-bottom-left-radius: 10px;
  border-bottom-right-radius: 10px;
  border: 1px solid rgba(0, 0, 0, 0.2);
  border-top: none;
  background-color: #8e8e9c;
  font-size: 1.1em;
}
 
.guide-panel .logo {
  margin: 5px;
}
 
.guide-panel .item-link {
  display: block;
  text-decoration: none;
}
 
/* TEST */
 
.test-guide {
   display: flex;
   display: flex;
   flex-wrap: wrap;
   flex-wrap: wrap;
Строка 381: Строка 319:
}
}


.test-guide-panel {
.guide-panel {
   flex: 0 1 calc(50% - 10px);
   flex: 0 1 calc(50% - 10px);
   box-sizing: border-box;
   box-sizing: border-box;
Строка 390: Строка 328:
}
}


.test-guide-panel .overlay {
.guide-panel .overlay {
   backdrop-filter: blur(3px);
   backdrop-filter: blur(3px);
   background-color: rgba(0, 0, 0, 0.1);
   background-color: rgba(0, 0, 0, 0.1);
}
}


.test-guide-panel .header {
.guide-panel .header {
   display: flex;
   display: flex;
   justify-content: space-between;
   justify-content: space-between;
Строка 402: Строка 340:
}
}


.test-guide-panel .title {
.guide-panel .title {
   padding: 2px;
   padding: 2px;
   padding-inline: 30px;
   padding-inline: 30px;
Строка 412: Строка 350:
}
}


.test-guide-panel .items {
.guide-panel .items {
   display: flex;
   display: flex;
   justify-content: space-around;
   justify-content: space-around;
Строка 420: Строка 358:
}
}


.test-guide-panel .item {
.guide-panel .item {
   flex: 0 1 calc(33% - 10px);
   flex: 0 1 calc(33% - 10px);
   box-sizing: border-box;
   box-sizing: border-box;
Строка 431: Строка 369:
}
}


.test-guide-panel .item-link {
.guide-panel .item-link {
   display: block;
   display: block;
   text-decoration: none;
   text-decoration: none;
}
}


.test-guide-panel .logo {
.guide-panel .logo {
   margin: 5px;
   margin: 5px;
}
}